//  main: main.less, out: ../style.css

/* 
====================================================================================================================================
ABOUT
======================================================================================================================================
*/


.c-about {
    .c-page__container {
        margin-bottom: 0;
    }

    .c-marketingrow {
        margin: 0;
        .inner {
            width: 100%;

        }
    }
}

.c-about__address {
    .c-aboutaddress__title {
        color: @color-white;
        height: 200px;
        .u-flex-display;
        .u-align-items(center);

        .title {
            margin: 0;
            padding-left: @margin__m;
        }
    }

    .c-aboutaddress__text {
        background-color: @color-white;
        //height: 300px;
        padding: @margin__l/2;

        p {
            margin: 0;

        }
    }

    #map {
        height: 500px;
        //width: 50%;
    }
}

.c-about__contact {
    .u-flex-display;
    .u-justify-content(space-between);
    .c-aboutcontact__image {
        width: 50%;
        background-position: center;
        background-size: cover;
        background-repeat: no-repeat;
        @media @media_smartphone {
            width: 100%;
            height: 300px;
        }
    }
    .c-about__form {
        width: 45%;
        .title {
            height: 200px;
            line-height: 200px;
            margin: 0;
            color: @color-white;
        }

        form {
            &>p {
                .u-flex-display;
                .u-flex-wrap(wrap);
                .u-justify-content(space-between);
                margin: 0;
            }
        }

        .wpcf7-form-control-wrap {

            &.nome,
            &.email {
                width: 100%;
                margin-bottom: 10px;
            }

            &.message {
                width: 100%;
            }
        }

        input,
        textarea {
            width: 100%;
            appearance: none;
            border: none;
            border-radius: 0;
            padding: @margin__s;
            background-color: fade(@color-white, 10%);
            font-family: @font_base;
            font-size: @size__m;
            color: @color-white;
            outline: none;
            .transition-elastic--long;
            .u-placeholderColor(@color-white);

            &:focus {
                background-color: fade(@color-white, 20%);
            }
        }

        textarea {
            resize: vertical;
            height: 200px;
        }

        input[type="submit"] {
            background-color: white;
            width: 150px;
            font-weight: @font_w__b;
            color: @color-primary;
            cursor: pointer;
            margin-top: 10px;
            .transition-elastic--long;

            &:hover {
                background-color: fade(@color-white, 80%);
            }
        }

        @media @media_tablet {
            padding: 0 @margin__s;
            width: 50%;
        }
        @media @media_smartphone {
            width: 100%;
            padding: 0 @margin__s;
        }
    }
    @media @media_smartphone {
        .u-flex-direction(column);
    }
}

.c-logos {
    margin-bottom: @margin__xl;        

    .title {
        width: 100%;
        height: 200px;
        color: @color-white;
        .u-flex-display;
        .u-align-items(center);
        .u-justify-content(space-around);
    }
    .inner {
        .u-flex-display;
        .u-flex-wrap(wrap);
        .u-justify-content(center);
        width: 100%;
        .c-logos__item {
            width: calc(25% ~'-' 2px);
            height: 150px;
            background-color: @color-white;
            margin: 1px;
            .u-flex-display;
            .u-align-items(center);
            .u-justify-content(center);
            .transition-elastic;
            .u-transform(scale(1));
            .u-shadow(0 0 0 0 rgba(0,0,0,0.50));

            &:hover {
                .u-transform(scale(1.1));
                .u-shadow(0 0 40px 0 rgba(0,0,0,0.30));
                z-index: 1;
            }
            img {
                width: 35%;
            }
            @media @media_smartphone {
                width: calc(50% ~'-' 2px);
            }
        }
    }

}

.c-mediapress {
    margin-bottom: @margin__xl;
    .title {
        width: 100%;
        height: 200px;
        color: @color-white;
        .u-flex-display;
        .u-align-items(center);
        .u-justify-content(space-around);
    }
    .inner {
        .u-flex-display;
        .u-flex-wrap(wrap);
        .u-justify-content(space-between);
        width: 100%;   
        @media @media_tablet {
            padding: 0 @margin__s;
        } 
    }
    blockquote {
        position: relative;
        width: 30%;
        margin: 1px;
        color: white;
        box-sizing: border-box;
        padding: @margin__s 0 0;
        &:after, &:before {
            content: '';
            display: block;
            position: absolute;
            height: 21px;
            width: 24px;
            background-position: center;
            background-size: contain;
            background-repeat: no-repeat;
        }

        &:after {
            top: 0;
            left: 0;
            background-image: url('images/quote_1.svg');

        }
        &:before {
            bottom: 0;
            right: 0;
            background-image: url('images/quote_2.svg');

        }
        @media @media_smartphone {
            width: 100%;
        } 
        @media @media_smartphone {
            margin: @margin__s 0;
        } 
    }
    @media @media_smartphone {
        padding: @margin__s;
    } 
}